// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.21.0
// 	protoc        v3.11.4
// source: transport-order/cmr-service.proto

package transport_order

import (
	context "context"
	proto "github.com/golang/protobuf/proto"
	common "gitlab.com/supply-net/shared/go-grpc/common"
	model "gitlab.com/supply-net/shared/go-grpc/transport-order/model"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type CreateFromExtFileRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Cmr *model.Cmr `protobuf:"bytes,1,opt,name=cmr,proto3" json:"cmr,omitempty"`
}

func (x *CreateFromExtFileRequest) Reset() {
	*x = CreateFromExtFileRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_transport_order_cmr_service_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateFromExtFileRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateFromExtFileRequest) ProtoMessage() {}

func (x *CreateFromExtFileRequest) ProtoReflect() protoreflect.Message {
	mi := &file_transport_order_cmr_service_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateFromExtFileRequest.ProtoReflect.Descriptor instead.
func (*CreateFromExtFileRequest) Descriptor() ([]byte, []int) {
	return file_transport_order_cmr_service_proto_rawDescGZIP(), []int{0}
}

func (x *CreateFromExtFileRequest) GetCmr() *model.Cmr {
	if x != nil {
		return x.Cmr
	}
	return nil
}

type CreateFromExtFileResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	DocId string `protobuf:"bytes,1,opt,name=docId,proto3" json:"docId,omitempty"`
}

func (x *CreateFromExtFileResponse) Reset() {
	*x = CreateFromExtFileResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_transport_order_cmr_service_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateFromExtFileResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateFromExtFileResponse) ProtoMessage() {}

func (x *CreateFromExtFileResponse) ProtoReflect() protoreflect.Message {
	mi := &file_transport_order_cmr_service_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateFromExtFileResponse.ProtoReflect.Descriptor instead.
func (*CreateFromExtFileResponse) Descriptor() ([]byte, []int) {
	return file_transport_order_cmr_service_proto_rawDescGZIP(), []int{1}
}

func (x *CreateFromExtFileResponse) GetDocId() string {
	if x != nil {
		return x.DocId
	}
	return ""
}

type GenerateRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Cmr *model.Cmr `protobuf:"bytes,1,opt,name=cmr,proto3" json:"cmr,omitempty"`
}

func (x *GenerateRequest) Reset() {
	*x = GenerateRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_transport_order_cmr_service_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GenerateRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GenerateRequest) ProtoMessage() {}

func (x *GenerateRequest) ProtoReflect() protoreflect.Message {
	mi := &file_transport_order_cmr_service_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GenerateRequest.ProtoReflect.Descriptor instead.
func (*GenerateRequest) Descriptor() ([]byte, []int) {
	return file_transport_order_cmr_service_proto_rawDescGZIP(), []int{2}
}

func (x *GenerateRequest) GetCmr() *model.Cmr {
	if x != nil {
		return x.Cmr
	}
	return nil
}

type GenerateResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	DocId string `protobuf:"bytes,1,opt,name=docId,proto3" json:"docId,omitempty"`
}

func (x *GenerateResponse) Reset() {
	*x = GenerateResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_transport_order_cmr_service_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GenerateResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GenerateResponse) ProtoMessage() {}

func (x *GenerateResponse) ProtoReflect() protoreflect.Message {
	mi := &file_transport_order_cmr_service_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GenerateResponse.ProtoReflect.Descriptor instead.
func (*GenerateResponse) Descriptor() ([]byte, []int) {
	return file_transport_order_cmr_service_proto_rawDescGZIP(), []int{3}
}

func (x *GenerateResponse) GetDocId() string {
	if x != nil {
		return x.DocId
	}
	return ""
}

var File_transport_order_cmr_service_proto protoreflect.FileDescriptor

var file_transport_order_cmr_service_proto_rawDesc = []byte{
	0x0a, 0x21, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2f, 0x63, 0x6d, 0x72, 0x2d, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x12, 0x0e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72,
	0x64, 0x65, 0x72, 0x1a, 0x14, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x76, 0x65, 0x72, 0x73,
	0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1f, 0x74, 0x72, 0x61, 0x6e, 0x73,
	0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c,
	0x2f, 0x63, 0x6d, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x41, 0x0a, 0x18, 0x43, 0x72,
	0x65, 0x61, 0x74, 0x65, 0x46, 0x72, 0x6f, 0x6d, 0x45, 0x78, 0x74, 0x46, 0x69, 0x6c, 0x65, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x25, 0x0a, 0x03, 0x63, 0x6d, 0x72, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x13, 0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x43, 0x6d, 0x72, 0x52, 0x03, 0x63, 0x6d, 0x72, 0x22, 0x31, 0x0a,
	0x19, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x46, 0x72, 0x6f, 0x6d, 0x45, 0x78, 0x74, 0x46, 0x69,
	0x6c, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x64, 0x6f,
	0x63, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x64, 0x6f, 0x63, 0x49, 0x64,
	0x22, 0x38, 0x0a, 0x0f, 0x47, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x12, 0x25, 0x0a, 0x03, 0x63, 0x6d, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x13, 0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x43, 0x6d, 0x72, 0x52, 0x03, 0x63, 0x6d, 0x72, 0x22, 0x28, 0x0a, 0x10, 0x47, 0x65,
	0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x14,
	0x0a, 0x05, 0x64, 0x6f, 0x63, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x64,
	0x6f, 0x63, 0x49, 0x64, 0x32, 0x81, 0x02, 0x0a, 0x0a, 0x43, 0x6d, 0x72, 0x53, 0x65, 0x72, 0x76,
	0x69, 0x63, 0x65, 0x12, 0x3a, 0x0a, 0x07, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x16,
	0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x17, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e,
	0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x68, 0x0a, 0x11, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x46, 0x72, 0x6f, 0x6d, 0x45, 0x78, 0x74,
	0x46, 0x69, 0x6c, 0x65, 0x12, 0x28, 0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74,
	0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x46, 0x72, 0x6f, 0x6d,
	0x45, 0x78, 0x74, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x29,
	0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x46, 0x72, 0x6f, 0x6d, 0x45, 0x78, 0x74, 0x46, 0x69, 0x6c,
	0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x4d, 0x0a, 0x08, 0x47, 0x65, 0x6e,
	0x65, 0x72, 0x61, 0x74, 0x65, 0x12, 0x1f, 0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72,
	0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x47, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f,
	0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x47, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0xa4, 0x01, 0x0a, 0x25, 0x63, 0x6f, 0x6d,
	0x2e, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2e, 0x74, 0x72, 0x61, 0x6e,
	0x73, 0x70, 0x6f, 0x72, 0x74, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69,
	0x63, 0x65, 0x42, 0x0a, 0x43, 0x6d, 0x72, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x50, 0x01,
	0x5a, 0x34, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x75, 0x70,
	0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2f, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x2f, 0x67,
	0x6f, 0x2d, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74,
	0x2d, 0x6f, 0x72, 0x64, 0x65, 0x72, 0xa2, 0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02, 0x18, 0x53,
	0x75, 0x70, 0x70, 0x6c, 0x79, 0x4e, 0x65, 0x74, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f,
	0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0xca, 0x02, 0x15, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70,
	0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x62,
	0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_transport_order_cmr_service_proto_rawDescOnce sync.Once
	file_transport_order_cmr_service_proto_rawDescData = file_transport_order_cmr_service_proto_rawDesc
)

func file_transport_order_cmr_service_proto_rawDescGZIP() []byte {
	file_transport_order_cmr_service_proto_rawDescOnce.Do(func() {
		file_transport_order_cmr_service_proto_rawDescData = protoimpl.X.CompressGZIP(file_transport_order_cmr_service_proto_rawDescData)
	})
	return file_transport_order_cmr_service_proto_rawDescData
}

var file_transport_order_cmr_service_proto_msgTypes = make([]protoimpl.MessageInfo, 4)
var file_transport_order_cmr_service_proto_goTypes = []interface{}{
	(*CreateFromExtFileRequest)(nil),  // 0: transportOrder.CreateFromExtFileRequest
	(*CreateFromExtFileResponse)(nil), // 1: transportOrder.CreateFromExtFileResponse
	(*GenerateRequest)(nil),           // 2: transportOrder.GenerateRequest
	(*GenerateResponse)(nil),          // 3: transportOrder.GenerateResponse
	(*model.Cmr)(nil),                 // 4: transportOrder.Cmr
	(*common.VersionRequest)(nil),     // 5: common.VersionRequest
	(*common.VersionResponse)(nil),    // 6: common.VersionResponse
}
var file_transport_order_cmr_service_proto_depIdxs = []int32{
	4, // 0: transportOrder.CreateFromExtFileRequest.cmr:type_name -> transportOrder.Cmr
	4, // 1: transportOrder.GenerateRequest.cmr:type_name -> transportOrder.Cmr
	5, // 2: transportOrder.CmrService.Version:input_type -> common.VersionRequest
	0, // 3: transportOrder.CmrService.CreateFromExtFile:input_type -> transportOrder.CreateFromExtFileRequest
	2, // 4: transportOrder.CmrService.Generate:input_type -> transportOrder.GenerateRequest
	6, // 5: transportOrder.CmrService.Version:output_type -> common.VersionResponse
	1, // 6: transportOrder.CmrService.CreateFromExtFile:output_type -> transportOrder.CreateFromExtFileResponse
	3, // 7: transportOrder.CmrService.Generate:output_type -> transportOrder.GenerateResponse
	5, // [5:8] is the sub-list for method output_type
	2, // [2:5] is the sub-list for method input_type
	2, // [2:2] is the sub-list for extension type_name
	2, // [2:2] is the sub-list for extension extendee
	0, // [0:2] is the sub-list for field type_name
}

func init() { file_transport_order_cmr_service_proto_init() }
func file_transport_order_cmr_service_proto_init() {
	if File_transport_order_cmr_service_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_transport_order_cmr_service_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateFromExtFileRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_transport_order_cmr_service_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateFromExtFileResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_transport_order_cmr_service_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GenerateRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_transport_order_cmr_service_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GenerateResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_transport_order_cmr_service_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   4,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_transport_order_cmr_service_proto_goTypes,
		DependencyIndexes: file_transport_order_cmr_service_proto_depIdxs,
		MessageInfos:      file_transport_order_cmr_service_proto_msgTypes,
	}.Build()
	File_transport_order_cmr_service_proto = out.File
	file_transport_order_cmr_service_proto_rawDesc = nil
	file_transport_order_cmr_service_proto_goTypes = nil
	file_transport_order_cmr_service_proto_depIdxs = nil
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// CmrServiceClient is the client API for CmrService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type CmrServiceClient interface {
	Version(ctx context.Context, in *common.VersionRequest, opts ...grpc.CallOption) (*common.VersionResponse, error)
	CreateFromExtFile(ctx context.Context, in *CreateFromExtFileRequest, opts ...grpc.CallOption) (*CreateFromExtFileResponse, error)
	Generate(ctx context.Context, in *GenerateRequest, opts ...grpc.CallOption) (*GenerateResponse, error)
}

type cmrServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewCmrServiceClient(cc grpc.ClientConnInterface) CmrServiceClient {
	return &cmrServiceClient{cc}
}

func (c *cmrServiceClient) Version(ctx context.Context, in *common.VersionRequest, opts ...grpc.CallOption) (*common.VersionResponse, error) {
	out := new(common.VersionResponse)
	err := c.cc.Invoke(ctx, "/transportOrder.CmrService/Version", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *cmrServiceClient) CreateFromExtFile(ctx context.Context, in *CreateFromExtFileRequest, opts ...grpc.CallOption) (*CreateFromExtFileResponse, error) {
	out := new(CreateFromExtFileResponse)
	err := c.cc.Invoke(ctx, "/transportOrder.CmrService/CreateFromExtFile", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *cmrServiceClient) Generate(ctx context.Context, in *GenerateRequest, opts ...grpc.CallOption) (*GenerateResponse, error) {
	out := new(GenerateResponse)
	err := c.cc.Invoke(ctx, "/transportOrder.CmrService/Generate", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// CmrServiceServer is the server API for CmrService service.
type CmrServiceServer interface {
	Version(context.Context, *common.VersionRequest) (*common.VersionResponse, error)
	CreateFromExtFile(context.Context, *CreateFromExtFileRequest) (*CreateFromExtFileResponse, error)
	Generate(context.Context, *GenerateRequest) (*GenerateResponse, error)
}

// UnimplementedCmrServiceServer can be embedded to have forward compatible implementations.
type UnimplementedCmrServiceServer struct {
}

func (*UnimplementedCmrServiceServer) Version(context.Context, *common.VersionRequest) (*common.VersionResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Version not implemented")
}
func (*UnimplementedCmrServiceServer) CreateFromExtFile(context.Context, *CreateFromExtFileRequest) (*CreateFromExtFileResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateFromExtFile not implemented")
}
func (*UnimplementedCmrServiceServer) Generate(context.Context, *GenerateRequest) (*GenerateResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Generate not implemented")
}

func RegisterCmrServiceServer(s *grpc.Server, srv CmrServiceServer) {
	s.RegisterService(&_CmrService_serviceDesc, srv)
}

func _CmrService_Version_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(common.VersionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CmrServiceServer).Version(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/transportOrder.CmrService/Version",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CmrServiceServer).Version(ctx, req.(*common.VersionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _CmrService_CreateFromExtFile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateFromExtFileRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CmrServiceServer).CreateFromExtFile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/transportOrder.CmrService/CreateFromExtFile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CmrServiceServer).CreateFromExtFile(ctx, req.(*CreateFromExtFileRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _CmrService_Generate_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GenerateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CmrServiceServer).Generate(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/transportOrder.CmrService/Generate",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CmrServiceServer).Generate(ctx, req.(*GenerateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _CmrService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "transportOrder.CmrService",
	HandlerType: (*CmrServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Version",
			Handler:    _CmrService_Version_Handler,
		},
		{
			MethodName: "CreateFromExtFile",
			Handler:    _CmrService_CreateFromExtFile_Handler,
		},
		{
			MethodName: "Generate",
			Handler:    _CmrService_Generate_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "transport-order/cmr-service.proto",
}
